package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class Alamat
 * 
 * @author Generator
 */
public class AlamatVO extends BaseMasterVO {
	
	@Caption(value="AlamatVO Email")
	private String alamatEmail;

	public void setAlamatEmail(String alamatEmail) {
		this.alamatEmail = alamatEmail;
	}

	@Column(name = "AlamatEmail", nullable = true , length = 50)
	public String getAlamatEmail(){
		return this.alamatEmail;
	}

	@Caption(value="AlamatVO Lengkap")
	private String alamatLengkap;

	public void setAlamatLengkap(String alamatLengkap) {
		this.alamatLengkap = alamatLengkap;
	}

	@Column(name = "AlamatLengkap", nullable = false , length = 200)
	public String getAlamatLengkap(){
		return this.alamatLengkap;
	}

	@Caption(value="Black Berry")
	private String blackBerry;

	public void setBlackBerry(String blackBerry) {
		this.blackBerry = blackBerry;
	}

	@Column(name = "BlackBerry", nullable = true , length = 10)
	public String getBlackBerry(){
		return this.blackBerry;
	}

	@Caption(value="Desa Kelurahan")
	private String namaDesaKelurahan;


	public String getNamaDesaKelurahan() {
		return namaDesaKelurahan;
	}

	public void setNamaDesaKelurahan(String namaDesaKelurahan) {
		this.namaDesaKelurahan = namaDesaKelurahan;
	}

	@Caption(value="Facebook")
	private String facebook;

	public void setFacebook(String facebook) {
		this.facebook = facebook;
	}

	@Column(name = "Facebook", nullable = true , length = 50)
	public String getFacebook(){
		return this.facebook;
	}

	@Caption(value="Faksimile1")
	private String faksimile1;

	public void setFaksimile1(String faksimile1) {
		this.faksimile1 = faksimile1;
	}

	@Column(name = "Faksimile1", nullable = true , length = 15)
	public String getFaksimile1(){
		return this.faksimile1;
	}

	@Caption(value="Faksimile2")
	private String faksimile2;

	public void setFaksimile2(String faksimile2) {
		this.faksimile2 = faksimile2;
	}

	@Column(name = "Faksimile2", nullable = true , length = 15)
	public String getFaksimile2(){
		return this.faksimile2;
	}

	@Caption(value="Fixed Phone1")
	private String fixedPhone1;

	public void setFixedPhone1(String fixedPhone1) {
		this.fixedPhone1 = fixedPhone1;
	}

	@Column(name = "FixedPhone1", nullable = true , length = 15)
	public String getFixedPhone1(){
		return this.fixedPhone1;
	}

	@Caption(value="Fixed Phone2")
	private String fixedPhone2;

	public void setFixedPhone2(String fixedPhone2) {
		this.fixedPhone2 = fixedPhone2;
	}

	@Column(name = "FixedPhone2", nullable = true , length = 15)
	public String getFixedPhone2(){
		return this.fixedPhone2;
	}

	@Caption(value="Is Billing Address")
	private Byte isBillingAddress;

	
	@Column(name = "isBillingAddress", nullable = false )
	public Byte getIsBillingAddress() {
		return isBillingAddress;
	}

	public void setIsBillingAddress(Byte isBillingAddress) {
		this.isBillingAddress = isBillingAddress;
	}

	@Caption(value="Is Primary Address")
	private Byte isPrimaryAddress;

	
	@Column(name = "isPrimaryAddress", nullable = false )
	public Byte getIsPrimaryAddress() {
		return isPrimaryAddress;
	}

	public void setIsPrimaryAddress(Byte isPrimaryAddress) {
		this.isPrimaryAddress = isPrimaryAddress;
	}

	@Caption(value="Is Shipping Address")
	private Byte isShippingAddress;

	@Column(name = "isShippingAddress", nullable = false )
	public Byte getIsShippingAddress() {
		return isShippingAddress;
	}

	public void setIsShippingAddress(Byte isShippingAddress) {
		this.isShippingAddress = isShippingAddress;
	}

	@Caption(value="Kode Alamat")
	private Integer kdAlamat;

	@Column(name = "KdAlamat", nullable = false )
	public Integer getKdAlamat() {
		return kdAlamat;
	}

	public void setKdAlamat(Integer kdAlamat) {
		this.kdAlamat = kdAlamat;
	}

	@ManyToOne
	@JoinColumn(name = "ObjectDesaKelurahanFk")
	@Caption(value="Object Desa Kelurahan")
	private DesaKelurahanVO desaKelurahan;

	public void setDesaKelurahan(DesaKelurahanVO desaKelurahan) {
		this.desaKelurahan = desaKelurahan;
	}

	@Column(name = "KdDesaKelurahan", nullable = true )
	public DesaKelurahanVO getDesaKelurahan(){
		return this.desaKelurahan;
	}

	@Column(name = "ObjectDesaKelurahanFk", insertable=false,updatable=false)
	private Integer desaKelurahanId;
	
	

	public Integer getDesaKelurahanId() {
		return desaKelurahanId;
	}

	public void setDesaKelurahanId(Integer desaKelurahanId) {
		this.desaKelurahanId = desaKelurahanId;
	}

	@ManyToOne
	@JoinColumn(name = "ObjectHubunganKeluargaFk")
	@Caption(value="Object Hubungan Keluarga")
	private HubunganKeluargaVO hubunganKeluarga;

	public void setHubunganKeluarga(HubunganKeluargaVO hubunganKeluarga) {
		this.hubunganKeluarga = hubunganKeluarga;
	}

	@Column(name = "KdHubunganKeluarga", nullable = true )
	public HubunganKeluargaVO getHubunganKeluarga(){
		return this.hubunganKeluarga;
	}

	@Column(name = "ObjectHubunganKeluargaFk", insertable=false,updatable=false)
	private Integer hubunganKeluargaId;
	
	

	public Integer getHubunganKeluargaId() {
		return hubunganKeluargaId;
	}

	public void setHubunganKeluargaId(Integer hubunganKeluargaId) {
		this.hubunganKeluargaId = hubunganKeluargaId;
	}

	@ManyToOne
	@JoinColumn(name = "ObjectJenisAlamatFk")
	@NotNull(message="Object Jenis AlamatVO Harus Diisi")
	@Caption(value="Object Jenis Alamat")
	private JenisAlamatVO jenisAlamat;

	public void setJenisAlamat(JenisAlamatVO jenisAlamat) {
		this.jenisAlamat = jenisAlamat;
	}

	@Column(name = "KdJenisAlamat", nullable = false )
	public JenisAlamatVO getJenisAlamat(){
		return this.jenisAlamat;
	}

	@Column(name = "ObjectJenisAlamatFk", insertable=false,updatable=false)
	private Integer jenisAlamatId;

	public Integer getJenisAlamatId() {
		return jenisAlamatId;
	}

	public void setJenisAlamatId(Integer jenisAlamatId) {
		this.jenisAlamatId = jenisAlamatId;
	}

	@ManyToOne
	@JoinColumn(name = "ObjectKecamatanFk")
	@Caption(value="Object Kecamatan")
	private KecamatanVO kecamatan;

	public void setKecamatan(KecamatanVO kecamatan) {
		this.kecamatan = kecamatan;
	}

	@Column(name = "KdKecamatan", nullable = true )
	public KecamatanVO getKecamatan(){
		return this.kecamatan;
	}

	@Column(name = "ObjectKecamatanFk", insertable=false,updatable=false)
	private Integer kecamatanId;
	
	

	public Integer getKecamatanId() {
		return kecamatanId;
	}

	public void setKecamatanId(Integer kecamatanId) {
		this.kecamatanId = kecamatanId;
	}

	@ManyToOne
	@JoinColumn(name = "ObjectKotaKabupatenFk")
	@Caption(value="Object Kota Kabupaten")
	private KotaKabupatenVO kotaKabupaten;

	public void setKotaKabupaten(KotaKabupatenVO kotaKabupaten) {
		this.kotaKabupaten = kotaKabupaten;
	}

	@Column(name = "KdKotaKabupaten", nullable = true )
	public KotaKabupatenVO getKotaKabupaten(){
		return this.kotaKabupaten;
	}

	@Column(name = "ObjectKotaKabupatenFk", insertable=false,updatable=false)
	private Integer kotaKabupatenId;
	

	public Integer getKotaKabupatenId() {
		return kotaKabupatenId;
	}

	public void setKotaKabupatenId(Integer kotaKabupatenId) {
		this.kotaKabupatenId = kotaKabupatenId;
	}

	@ManyToOne
	@JoinColumn(name = "ObjectNegaraFk")
	@NotNull(message="Object NegaraVO Harus Diisi")
	@Caption(value="Object Negara")
	private NegaraVO negara;

	public void setNegara(NegaraVO negara) {
		this.negara = negara;
	}

	@Column(name = "KdNegara", nullable = false )
	public NegaraVO getNegara(){
		return this.negara;
	}

	@Column(name = "ObjectNegaraFk", insertable=false,updatable=false)
	private Integer negaraId;
	

	public Integer getNegaraId() {
		return negaraId;
	}

	public void setNegaraId(Integer negaraId) {
		this.negaraId = negaraId;
	}

	@ManyToOne
	@JoinColumn(name = "ObjectPegawaiFk")
	@Caption(value="Object Pegawai")
	private LoginUserVO pegawai;

	public void setPegawai(LoginUserVO pegawai) {
		this.pegawai = pegawai;
	}

	@Column(name = "KdPegawai", nullable = true , length = 5)
	public LoginUserVO getPegawai(){
		return this.pegawai;
	}

	@Column(name = "ObjectPegawaiFk", insertable=false,updatable=false)
	private Integer pegawaiId;
	
	

	public Integer getPegawaiId() {
		return pegawaiId;
	}

	public void setPegawaiId(Integer pegawaiId) {
		this.pegawaiId = pegawaiId;
	}

	@ManyToOne
	@JoinColumn(name = "ObjectPropinsiFk")
	@NotNull(message="Object PropinsiVO Harus Diisi")
	@Caption(value="Object Propinsi")
	private PropinsiVO propinsi;

	public void setPropinsi(PropinsiVO propinsi) {
		this.propinsi = propinsi;
	}

	@Column(name = "KdPropinsi", nullable = false )
	public PropinsiVO getPropinsi(){
		return this.propinsi;
	}

	@Column(name = "ObjectPropinsiFk", insertable=false,updatable=false)
	private Integer propinsiId;
	
	

	public Integer getPropinsiId() {
		return propinsiId;
	}

	public void setPropinsiId(Integer propinsiId) {
		this.propinsiId = propinsiId;
	}

	@ManyToOne
	@JoinColumn(name = "ObjectRekananFk")
	@Caption(value="Object Rekanan")
	private RekananVO rekanan;

	public void setRekanan(RekananVO rekanan) {
		this.rekanan = rekanan;
	}

	@Column(name = "KdRekanan", nullable = true )
	public RekananVO getRekanan(){
		return this.rekanan;
	}

	@Column(name = "ObjectRekananFk", insertable=false,updatable=false)
	private Integer rekananId;
	

	public Integer getRekananId() {
		return rekananId;
	}

	public void setRekananId(Integer rekananId) {
		this.rekananId = rekananId;
	}

	@Caption(value="Kecamatan")
	private String namaKecamatan;

	@Column(name = "Kecamatan", nullable = true , length = 50)
	public String getNamaKecamatan() {
		return namaKecamatan;
	}

	public void setNamaKecamatan(String namaKecamatan) {
		this.namaKecamatan = namaKecamatan;
	}

	@Caption(value="Keterangan Lainnya")
	private String keteranganLainnya;

	public void setKeteranganLainnya(String keteranganLainnya) {
		this.keteranganLainnya = keteranganLainnya;
	}

	@Column(name = "KeteranganLainnya", nullable = true , length = 150)
	public String getKeteranganLainnya(){
		return this.keteranganLainnya;
	}

	@Caption(value="Kode Pos")
	private String kodePos;

	
	@Column(name = "KodePos", nullable = true , length = 10)
	public String getKodePos() {
		return kodePos;
	}

	public void setKodePos(String kodePos) {
		this.kodePos = kodePos;
	}

	@Caption(value="Kota Kabupaten")
	private String namaKotaKabupaten;

	@Column(name = "KotaKabupaten", nullable = true , length = 50)
	public String getNamaKotaKabupaten() {
		return namaKotaKabupaten;
	}

	public void setNamaKotaKabupaten(String namaKotaKabupaten) {
		this.namaKotaKabupaten = namaKotaKabupaten;
	}

	@Caption(value="Line")
	private String line;

	public void setLine(String line) {
		this.line = line;
	}

	@Column(name = "Line", nullable = true , length = 50)
	public String getLine(){
		return this.line;
	}

	@Caption(value="Mobile Phone1")
	private String mobilePhone1;

	public void setMobilePhone1(String mobilePhone1) {
		this.mobilePhone1 = mobilePhone1;
	}

	@Column(name = "MobilePhone1", nullable = true , length = 15)
	public String getMobilePhone1(){
		return this.mobilePhone1;
	}

	@Caption(value="Mobile Phone2")
	private String mobilePhone2;

	public void setMobilePhone2(String mobilePhone2) {
		this.mobilePhone2 = mobilePhone2;
	}

	@Column(name = "MobilePhone2", nullable = true , length = 15)
	public String getMobilePhone2(){
		return this.mobilePhone2;
	}

	@Caption(value="Nama Tempat Gedung")
	private String namaTempatGedung;

	public void setNamaTempatGedung(String namaTempatGedung) {
		this.namaTempatGedung = namaTempatGedung;
	}

	@Column(name = "NamaTempatGedung", nullable = true , length = 150)
	public String getNamaTempatGedung(){
		return this.namaTempatGedung;
	}

	
	@ManyToOne
	@JoinColumn(name = "NoCMFk")
	@Caption(value="No C M")
	//@JsonBackReference
	private PasienVO pasien;

	@Column(name = "NoCM", nullable = true , length = 15)
	public PasienVO getPasien() {
		return pasien;
	}

	public void setPasien(PasienVO pasien) {
		this.pasien = pasien;
	}

	@Column(name = "NoCMFk", insertable=false,updatable=false)
	private Integer pasienId;
	
	

	public Integer getPasienId() {
		return pasienId;
	}

	public void setPasienId(Integer pasienId) {
		this.pasienId = pasienId;
	}

	@Caption(value="RT R W")
	private String rtrw;

	

	public String getRtrw() {
		return rtrw;
	}

	public void setRtrw(String rtrw) {
		this.rtrw = rtrw;
	}

	@Caption(value="Twitter")
	private String twitter;

	@Column(name = "Twitter", nullable = true , length = 50)
	public String getTwitter() {
		return twitter;
	}

	public void setTwitter(String twitter) {
		this.twitter = twitter;
	}

	@Caption(value="Website")
	private String website;

	public void setWebsite(String website) {
		this.website = website;
	}

	@Column(name = "Website", nullable = true , length = 80)
	public String getWebsite(){
		return this.website;
	}

	@Caption(value="Whats App")
	private String whatsApp;

	public void setWhatsApp(String whatsApp) {
		this.whatsApp = whatsApp;
	}

	@Column(name = "WhatsApp", nullable = true , length = 15)
	public String getWhatsApp(){
		return this.whatsApp;
	}

	@Caption(value="Yahoo Messenger")
	private String yahooMessenger;

	public void setYahooMessenger(String yahooMessenger) {
		this.yahooMessenger = yahooMessenger;
	}

	@Column(name = "YahooMessenger", nullable = true , length = 50)
	public String getYahooMessenger(){
		return this.yahooMessenger;
	}

}

